StarPU Handbook

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Data Structures | Enumerations
starpu_top.h File Reference
`#include <starpu.h>`
`#include <stdlib.h>`
`#include <time.h>`

Go to the source code of this file.

## Data Structures
struct | starpu_top_data
struct | starpu_top_param

## Enumerations
enum | starpu_top_data_type { STARPU_TOP_DATA_BOOLEAN, STARPU_TOP_DATA_INTEGER, STARPU_TOP_DATA_FLOAT }
enum | starpu_top_param_type { STARPU_TOP_PARAM_BOOLEAN, STARPU_TOP_PARAM_INTEGER, STARPU_TOP_PARAM_FLOAT, STARPU_TOP_PARAM_ENUM }
enum | starpu_top_message_type { TOP_TYPE_GO, TOP_TYPE_SET, TOP_TYPE_CONTINUE, TOP_TYPE_ENABLE, TOP_TYPE_DISABLE, TOP_TYPE_DEBUG, TOP_TYPE_UNKNOW }

## Functions
Functions to call before the initialisation
struct starpu_top_data * | starpu_top_add_data_boolean (const char *data_name, int active)
struct starpu_top_data * | starpu_top_add_data_integer (const char *data_name, int minimum_value, int maximum_value, int active)
struct starpu_top_data * | starpu_top_add_data_float (const char *data_name, double minimum_value, double maximum_value, int active)
struct starpu_top_param * | starpu_top_register_parameter_boolean (const char *param_name, int *parameter_field, void(*callback)(struct starpu_top_param *))
struct starpu_top_param * | starpu_top_register_parameter_integer (const char *param_name, int *parameter_field, int minimum_value, int maximum_value, void(*callback)(struct starpu_top_param *))
struct starpu_top_param * | starpu_top_register_parameter_float (const char *param_name, double *parameter_field, double minimum_value, double maximum_value, void(*callback)(struct starpu_top_param *))
struct starpu_top_param * | starpu_top_register_parameter_enum (const char *param_name, int *parameter_field, char **values, int nb_values, void(*callback)(struct starpu_top_param *))
Initialisation
void | starpu_top_init_and_wait (const char *server_name)
To call after initialisation
void | starpu_top_update_parameter (const struct starpu_top_param *param)
void | starpu_top_update_data_boolean (const struct starpu_top_data *data, int value)
void | starpu_top_update_data_integer (const struct starpu_top_data *data, int value)
void | starpu_top_update_data_float (const struct starpu_top_data *data, double value)
void | starpu_top_task_prevision (struct starpu_task *task, int devid, unsigned long long start, unsigned long long end)
void | starpu_top_debug_log (const char *message)
void | starpu_top_debug_lock (const char *message)